# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/nvmem/nintendo-otp.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Nintendo Wii and Wii U OTP Device Tree Bindings

description: |
  This binding represents the OTP memory as found on a Nintendo Wii or Wii U,
  which contains common and per-console keys, signatures and related data
  required to access peripherals.

  See https://wiiubrew.org/wiki/Hardware/OTP

maintainers:
  - Emmanuel Gil Peyrot <linkmauve@linkmauve.fr>

allOf:
  - $ref: "nvmem.yaml#"

properties:
  compatible:
    enum:
      - nintendo,hollywood-otp
      - nintendo,latte-otp

  reg:
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    otp@d8001ec {
        compatible = "nintendo,latte-otp";
        reg = <0x0d8001ec 0x8>;
    };

...
